package com.keg.mdnstest;

import java.io.IOException;
import java.net.InetAddress;
import java.net.Socket;

import javax.jmdns.JmDNS;
import javax.jmdns.ServiceEvent;
import javax.jmdns.ServiceListener;
import javax.jmdns.ServiceTypeListener;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;



public class MainClass implements ServiceListener, ServiceTypeListener {

	private final static Logger slf4jLogger = LoggerFactory.getLogger(MainClass.class);
/**
 * @param args
 *            the command line arguments
 */
public static void main(String[] args) {
    try {

        // Activate these lines to see log messages of JmDNS

        slf4jLogger.info("Starting listener for _arduino._tcp.local.");
        Socket s = new Socket("192.168.1.1", 80);
        System.out.println(s.getLocalAddress().getHostAddress());
        InetAddress a = s.getLocalAddress();
        s.close();
        
        final JmDNS jmdns = JmDNS.create(a);
        jmdns.addServiceListener("_arduino._tcp.local.", new SampleListener());

        System.out.println("Press q and Enter, to quit");
        int b;
        while ((b = System.in.read()) != -1 && (char) b != 'q') {
            /* Stub */
        }
        jmdns.close();
        System.out.println("Done");
    } catch (IOException e) {
        e.printStackTrace();
    }
}
@Override
public void serviceTypeAdded(ServiceEvent event) {
}
@Override
public void subTypeForServiceTypeAdded(ServiceEvent event) {
}
@Override
public void serviceAdded(ServiceEvent event) {
	System.out.println("ADD: " + event);
}
@Override
public void serviceRemoved(ServiceEvent event) {
}
@Override
public void serviceResolved(ServiceEvent event) {
}
}
